import{s as Rl,n as Il,o as $l}from"../chunks/scheduler.b108d059.js";import{S as _l,i as Tl,g as o,s as i,r as g,A as bl,h as d,f as a,c as m,j as n,u,x as s,k as r,y as vl,a as l,v as c,d as p,t as f,w as h}from"../chunks/index.008de539.js";import{H as w,g as Cl}from"../chunks/Heading.6c6c36d6.js";import{C as xl}from"../chunks/CodeBlock.3968c746.js";function Hl(Ea){let R,Be,je,ke,I,Ye,$,Ke,_,Aa="Helper module for image processing.",Je,T,Ua=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,qe,b,ja='<li><a href="#module_utils/image">utils/image</a><ul><li><em>static</em><ul><li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromTensor"><code>.fromTensor(tensor)</code></a></li></ul></li></ul></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/image..CONTENT_TYPE_MAP"><code>~CONTENT_TYPE_MAP</code></a></li></ul></li></ul></li>',Ne,Ge,Se,v,Ze,C,De,x,za='<strong>Kind</strong>: static class of <a href="#module_utils/image"><code>utils/image</code></a>',We,H,Ba='<li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromTensor"><code>.fromTensor(tensor)</code></a></li></ul></li></ul></li>',Oe,Ve,Fe,L,Qe,P,Xe,y,ka="Create a new <code>RawImage</code> object.",et,M,Ya="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code></td><td><p>The pixel data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td><p>The width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><p>The number of channels.</p></td></tr></tbody>",tt,at,lt,E,it,A,mt,U,Ka="Convert the image to grayscale format.",ot,j,Ja='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',dt,st,rt,z,nt,B,gt,k,qa="Convert the image to RGB format.",ut,Y,Na='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',ct,pt,ft,K,ht,J,wt,q,Ga="Convert the image to RGBA format.",Rt,N,Sa='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',It,$t,_t,G,Tt,S,bt,Z,Za="Resize the image to the given dimensions. This method uses the canvas API to perform the resizing.",vt,D,Da='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - <code>this</code> to support chaining.',Ct,W,Wa="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>width</td><td><code>number</code></td><td><p>The width of the new image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the new image.</p></td> </tr><tr><td>options</td><td><code>Object</code></td><td><p>Additional options for resizing.</p></td> </tr><tr><td>[options.resample]</td><td><code>0</code> | <code>1</code> | <code>2</code> | <code>3</code> | <code>4</code> | <code>5</code> | <code>string</code></td><td><p>The resampling method to use.</p></td></tr></tbody>",xt,Ht,Lt,O,Pt,V,yt,F,Oa="Clone the image",Mt,Q,Va='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - The cloned image',Et,At,Ut,X,jt,ee,zt,te,Fa="Helper method for converting image to have a certain number of channels",Bt,ae,Qa='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',kt,le,Xa="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>numChannels</td><td><code>number</code></td><td><p>The number of channels. Must be 1, 3, or 4.</p></td></tr></tbody>",Yt,Kt,Jt,ie,qt,me,Nt,oe,el="Save the image to the given path.",Gt,de,tl='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',St,se,al="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td><td><p>The path to save the image to.</p></td></tr></tbody>",Zt,Dt,Wt,re,Ot,ne,Vt,ge,ll="Helper method for reading an image from a variety of input types.",Ft,ue,il='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The image object.',Qt,ce,ml="<strong>Example:</strong> Read image from a URL.",Xt,pe,ea,fe,ol="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>RawImage</code> | <code>string</code> | <code>URL</code></td></tr></tbody>",ta,aa,la,he,ia,we,ma,Re,dl="Read an image from a URL or file path.",oa,Ie,sl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',da,$e,rl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>url</td><td><code>string</code> | <code>URL</code></td><td><p>The URL or file path to read the image from.</p></td></tr></tbody>",sa,ra,na,_e,ga,Te,ua,be,nl="Helper method to create a new Image from a blob.",ca,ve,gl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',pa,Ce,ul="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>blob</td><td><code>Blob</code></td><td><p>The blob to read the image from.</p></td></tr></tbody>",fa,ha,wa,xe,Ra,He,Ia,Le,cl="Helper method to create a new Image from a tensor",$a,Pe,pl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',_a,ye,fl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>tensor</td><td><code>*</code></td></tr></tbody>",Ta,ba,va,Me,Ca,Ee,xa,Ae,hl="Mapping from file extensions to MIME types.",Ha,Ue,wl='<strong>Kind</strong>: inner constant of <a href="#module_utils/image"><code>utils/image</code></a>',La,Pa,ya,ze,Ma;return $=new w({props:{title:"utils/image",local:"utilsimage",headingTag:"h1"}}),C=new w({props:{title:"utils/image.RawImage",local:"utilsimagerawimage",headingTag:"h2"}}),P=new w({props:{title:"new RawImage(data, width, height, channels)",local:"new-rawimagedata-width-height-channels",headingTag:"h3"}}),A=new w({props:{title:"rawImage.grayscale() ⇒ <code> RawImage </code>",local:"rawimagegrayscale--code-rawimage-code",headingTag:"h3"}}),B=new w({props:{title:"rawImage.rgb() ⇒ <code> RawImage </code>",local:"rawimagergb--code-rawimage-code",headingTag:"h3"}}),J=new w({props:{title:"rawImage.rgba() ⇒ <code> RawImage </code>",local:"rawimagergba--code-rawimage-code",headingTag:"h3"}}),S=new w({props:{title:"rawImage.resize(width, height, options) ⇒ <code> Promise. < RawImage > </code>",local:"rawimageresizewidth-height-options--code-promise--rawimage--code",headingTag:"h3"}}),V=new w({props:{title:"rawImage.clone() ⇒ <code> RawImage </code>",local:"rawimageclone--code-rawimage-code",headingTag:"h3"}}),ee=new w({props:{title:"rawImage.convert(numChannels) ⇒ <code> RawImage </code>",local:"rawimageconvertnumchannels--code-rawimage-code",headingTag:"h3"}}),me=new w({props:{title:"rawImage.save(path)",local:"rawimagesavepath",headingTag:"h3"}}),ne=new w({props:{title:"RawImage.read(input) ⇒ <code> * </code>",local:"rawimagereadinput--code--code",headingTag:"h3"}}),pe=new xl({props:{code:"bGV0JTIwaW1hZ2UlMjAlM0QlMjBhd2FpdCUyMFJhd0ltYWdlLnJlYWQoJ2h0dHBzJTNBJTJGJTJGaHVnZ2luZ2ZhY2UuY28lMkZkYXRhc2V0cyUyRlhlbm92YSUyRnRyYW5zZm9ybWVycy5qcy1kb2NzJTJGcmVzb2x2ZSUyRm1haW4lMkZmb290YmFsbC1tYXRjaC5qcGcnKSUzQiUwQSUyRiUyRiUyMFJhd0ltYWdlJTIw",highlighted:`<span class="hljs-keyword">let</span> image = <span class="hljs-keyword">await</span> <span class="hljs-title class_">RawImage</span>.<span class="hljs-title function_">read</span>(<span class="hljs-string">&#x27;https://huggingface.co/datasets/Xenova/transformers.js-docs/resolve/main/football-match.jpg&#x27;</span>);
<span class="hljs-comment">// RawImage </span>`,wrap:!1}}),we=new w({props:{title:"RawImage.fromURL(url) ⇒ <code> Promise. < RawImage > </code>",local:"rawimagefromurlurl--code-promise--rawimage--code",headingTag:"h3"}}),Te=new w({props:{title:"RawImage.fromBlob(blob) ⇒ <code> Promise. < RawImage > </code>",local:"rawimagefromblobblob--code-promise--rawimage--code",headingTag:"h3"}}),He=new w({props:{title:"RawImage.fromTensor(tensor)",local:"rawimagefromtensortensor",headingTag:"h3"}}),Ee=new w({props:{title:"utils/image~CONTENT_TYPE_MAP",local:"utilsimagecontenttypemap",headingTag:"h2"}}),{c(){R=o("meta"),Be=i(),je=o("p"),ke=i(),I=o("a"),Ye=i(),g($.$$.fragment),Ke=i(),_=o("p"),_.textContent=Aa,Je=i(),T=o("p"),T.textContent=Ua,qe=i(),b=o("ul"),b.innerHTML=ja,Ne=i(),Ge=o("hr"),Se=i(),v=o("a"),Ze=i(),g(C.$$.fragment),De=i(),x=o("p"),x.innerHTML=za,We=i(),H=o("ul"),H.innerHTML=Ba,Oe=i(),Ve=o("hr"),Fe=i(),L=o("a"),Qe=i(),g(P.$$.fragment),Xe=i(),y=o("p"),y.innerHTML=ka,et=i(),M=o("table"),M.innerHTML=Ya,tt=i(),at=o("hr"),lt=i(),E=o("a"),it=i(),g(A.$$.fragment),mt=i(),U=o("p"),U.textContent=Ka,ot=i(),j=o("p"),j.innerHTML=Ja,dt=i(),st=o("hr"),rt=i(),z=o("a"),nt=i(),g(B.$$.fragment),gt=i(),k=o("p"),k.textContent=qa,ut=i(),Y=o("p"),Y.innerHTML=Na,ct=i(),pt=o("hr"),ft=i(),K=o("a"),ht=i(),g(J.$$.fragment),wt=i(),q=o("p"),q.textContent=Ga,Rt=i(),N=o("p"),N.innerHTML=Sa,It=i(),$t=o("hr"),_t=i(),G=o("a"),Tt=i(),g(S.$$.fragment),bt=i(),Z=o("p"),Z.textContent=Za,vt=i(),D=o("p"),D.innerHTML=Da,Ct=i(),W=o("table"),W.innerHTML=Wa,xt=i(),Ht=o("hr"),Lt=i(),O=o("a"),Pt=i(),g(V.$$.fragment),yt=i(),F=o("p"),F.textContent=Oa,Mt=i(),Q=o("p"),Q.innerHTML=Va,Et=i(),At=o("hr"),Ut=i(),X=o("a"),jt=i(),g(ee.$$.fragment),zt=i(),te=o("p"),te.textContent=Fa,Bt=i(),ae=o("p"),ae.innerHTML=Qa,kt=i(),le=o("table"),le.innerHTML=Xa,Yt=i(),Kt=o("hr"),Jt=i(),ie=o("a"),qt=i(),g(me.$$.fragment),Nt=i(),oe=o("p"),oe.textContent=el,Gt=i(),de=o("p"),de.innerHTML=tl,St=i(),se=o("table"),se.innerHTML=al,Zt=i(),Dt=o("hr"),Wt=i(),re=o("a"),Ot=i(),g(ne.$$.fragment),Vt=i(),ge=o("p"),ge.textContent=ll,Ft=i(),ue=o("p"),ue.innerHTML=il,Qt=i(),ce=o("p"),ce.innerHTML=ml,Xt=i(),g(pe.$$.fragment),ea=i(),fe=o("table"),fe.innerHTML=ol,ta=i(),aa=o("hr"),la=i(),he=o("a"),ia=i(),g(we.$$.fragment),ma=i(),Re=o("p"),Re.textContent=dl,oa=i(),Ie=o("p"),Ie.innerHTML=sl,da=i(),$e=o("table"),$e.innerHTML=rl,sa=i(),ra=o("hr"),na=i(),_e=o("a"),ga=i(),g(Te.$$.fragment),ua=i(),be=o("p"),be.textContent=nl,ca=i(),ve=o("p"),ve.innerHTML=gl,pa=i(),Ce=o("table"),Ce.innerHTML=ul,fa=i(),ha=o("hr"),wa=i(),xe=o("a"),Ra=i(),g(He.$$.fragment),Ia=i(),Le=o("p"),Le.textContent=cl,$a=i(),Pe=o("p"),Pe.innerHTML=pl,_a=i(),ye=o("table"),ye.innerHTML=fl,Ta=i(),ba=o("hr"),va=i(),Me=o("a"),Ca=i(),g(Ee.$$.fragment),xa=i(),Ae=o("p"),Ae.textContent=hl,Ha=i(),Ue=o("p"),Ue.innerHTML=wl,La=i(),Pa=o("hr"),ya=i(),ze=o("p"),this.h()},l(e){const t=bl("svelte-u9bgzb",document.head);R=d(t,"META",{name:!0,content:!0}),t.forEach(a),Be=m(e),je=d(e,"P",{}),n(je).forEach(a),ke=m(e),I=d(e,"A",{id:!0,class:!0}),n(I).forEach(a),Ye=m(e),u($.$$.fragment,e),Ke=m(e),_=d(e,"P",{"data-svelte-h":!0}),s(_)!=="svelte-18hbqrt"&&(_.textContent=Aa),Je=m(e),T=d(e,"P",{"data-svelte-h":!0}),s(T)!=="svelte-il3kl8"&&(T.textContent=Ua),qe=m(e),b=d(e,"UL",{"data-svelte-h":!0}),s(b)!=="svelte-1lzw7to"&&(b.innerHTML=ja),Ne=m(e),Ge=d(e,"HR",{}),Se=m(e),v=d(e,"A",{id:!0,class:!0}),n(v).forEach(a),Ze=m(e),u(C.$$.fragment,e),De=m(e),x=d(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-f7iksk"&&(x.innerHTML=za),We=m(e),H=d(e,"UL",{"data-svelte-h":!0}),s(H)!=="svelte-2q61yl"&&(H.innerHTML=Ba),Oe=m(e),Ve=d(e,"HR",{}),Fe=m(e),L=d(e,"A",{id:!0,class:!0}),n(L).forEach(a),Qe=m(e),u(P.$$.fragment,e),Xe=m(e),y=d(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-36fe9a"&&(y.innerHTML=ka),et=m(e),M=d(e,"TABLE",{"data-svelte-h":!0}),s(M)!=="svelte-17p0s1v"&&(M.innerHTML=Ya),tt=m(e),at=d(e,"HR",{}),lt=m(e),E=d(e,"A",{id:!0,class:!0}),n(E).forEach(a),it=m(e),u(A.$$.fragment,e),mt=m(e),U=d(e,"P",{"data-svelte-h":!0}),s(U)!=="svelte-1owjjfe"&&(U.textContent=Ka),ot=m(e),j=d(e,"P",{"data-svelte-h":!0}),s(j)!=="svelte-11e9r18"&&(j.innerHTML=Ja),dt=m(e),st=d(e,"HR",{}),rt=m(e),z=d(e,"A",{id:!0,class:!0}),n(z).forEach(a),nt=m(e),u(B.$$.fragment,e),gt=m(e),k=d(e,"P",{"data-svelte-h":!0}),s(k)!=="svelte-qyo04e"&&(k.textContent=qa),ut=m(e),Y=d(e,"P",{"data-svelte-h":!0}),s(Y)!=="svelte-11e9r18"&&(Y.innerHTML=Na),ct=m(e),pt=d(e,"HR",{}),ft=m(e),K=d(e,"A",{id:!0,class:!0}),n(K).forEach(a),ht=m(e),u(J.$$.fragment,e),wt=m(e),q=d(e,"P",{"data-svelte-h":!0}),s(q)!=="svelte-19kp14j"&&(q.textContent=Ga),Rt=m(e),N=d(e,"P",{"data-svelte-h":!0}),s(N)!=="svelte-11e9r18"&&(N.innerHTML=Sa),It=m(e),$t=d(e,"HR",{}),_t=m(e),G=d(e,"A",{id:!0,class:!0}),n(G).forEach(a),Tt=m(e),u(S.$$.fragment,e),bt=m(e),Z=d(e,"P",{"data-svelte-h":!0}),s(Z)!=="svelte-s4dm9o"&&(Z.textContent=Za),vt=m(e),D=d(e,"P",{"data-svelte-h":!0}),s(D)!=="svelte-1jh8cjr"&&(D.innerHTML=Da),Ct=m(e),W=d(e,"TABLE",{"data-svelte-h":!0}),s(W)!=="svelte-ya0vko"&&(W.innerHTML=Wa),xt=m(e),Ht=d(e,"HR",{}),Lt=m(e),O=d(e,"A",{id:!0,class:!0}),n(O).forEach(a),Pt=m(e),u(V.$$.fragment,e),yt=m(e),F=d(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-1eu6jk3"&&(F.textContent=Oa),Mt=m(e),Q=d(e,"P",{"data-svelte-h":!0}),s(Q)!=="svelte-1w4hta5"&&(Q.innerHTML=Va),Et=m(e),At=d(e,"HR",{}),Ut=m(e),X=d(e,"A",{id:!0,class:!0}),n(X).forEach(a),jt=m(e),u(ee.$$.fragment,e),zt=m(e),te=d(e,"P",{"data-svelte-h":!0}),s(te)!=="svelte-5ze294"&&(te.textContent=Fa),Bt=m(e),ae=d(e,"P",{"data-svelte-h":!0}),s(ae)!=="svelte-11e9r18"&&(ae.innerHTML=Qa),kt=m(e),le=d(e,"TABLE",{"data-svelte-h":!0}),s(le)!=="svelte-1hxqxaq"&&(le.innerHTML=Xa),Yt=m(e),Kt=d(e,"HR",{}),Jt=m(e),ie=d(e,"A",{id:!0,class:!0}),n(ie).forEach(a),qt=m(e),u(me.$$.fragment,e),Nt=m(e),oe=d(e,"P",{"data-svelte-h":!0}),s(oe)!=="svelte-119su55"&&(oe.textContent=el),Gt=m(e),de=d(e,"P",{"data-svelte-h":!0}),s(de)!=="svelte-1epyezb"&&(de.innerHTML=tl),St=m(e),se=d(e,"TABLE",{"data-svelte-h":!0}),s(se)!=="svelte-1h4z9xq"&&(se.innerHTML=al),Zt=m(e),Dt=d(e,"HR",{}),Wt=m(e),re=d(e,"A",{id:!0,class:!0}),n(re).forEach(a),Ot=m(e),u(ne.$$.fragment,e),Vt=m(e),ge=d(e,"P",{"data-svelte-h":!0}),s(ge)!=="svelte-5659h9"&&(ge.textContent=ll),Ft=m(e),ue=d(e,"P",{"data-svelte-h":!0}),s(ue)!=="svelte-1800vfp"&&(ue.innerHTML=il),Qt=m(e),ce=d(e,"P",{"data-svelte-h":!0}),s(ce)!=="svelte-14z54gq"&&(ce.innerHTML=ml),Xt=m(e),u(pe.$$.fragment,e),ea=m(e),fe=d(e,"TABLE",{"data-svelte-h":!0}),s(fe)!=="svelte-eqolu5"&&(fe.innerHTML=ol),ta=m(e),aa=d(e,"HR",{}),la=m(e),he=d(e,"A",{id:!0,class:!0}),n(he).forEach(a),ia=m(e),u(we.$$.fragment,e),ma=m(e),Re=d(e,"P",{"data-svelte-h":!0}),s(Re)!=="svelte-1355z3u"&&(Re.textContent=dl),oa=m(e),Ie=d(e,"P",{"data-svelte-h":!0}),s(Ie)!=="svelte-10btw3j"&&(Ie.innerHTML=sl),da=m(e),$e=d(e,"TABLE",{"data-svelte-h":!0}),s($e)!=="svelte-ncveta"&&($e.innerHTML=rl),sa=m(e),ra=d(e,"HR",{}),na=m(e),_e=d(e,"A",{id:!0,class:!0}),n(_e).forEach(a),ga=m(e),u(Te.$$.fragment,e),ua=m(e),be=d(e,"P",{"data-svelte-h":!0}),s(be)!=="svelte-1s704mu"&&(be.textContent=nl),ca=m(e),ve=d(e,"P",{"data-svelte-h":!0}),s(ve)!=="svelte-10btw3j"&&(ve.innerHTML=gl),pa=m(e),Ce=d(e,"TABLE",{"data-svelte-h":!0}),s(Ce)!=="svelte-34rbhe"&&(Ce.innerHTML=ul),fa=m(e),ha=d(e,"HR",{}),wa=m(e),xe=d(e,"A",{id:!0,class:!0}),n(xe).forEach(a),Ra=m(e),u(He.$$.fragment,e),Ia=m(e),Le=d(e,"P",{"data-svelte-h":!0}),s(Le)!=="svelte-nwy2y"&&(Le.textContent=cl),$a=m(e),Pe=d(e,"P",{"data-svelte-h":!0}),s(Pe)!=="svelte-sl3vqa"&&(Pe.innerHTML=pl),_a=m(e),ye=d(e,"TABLE",{"data-svelte-h":!0}),s(ye)!=="svelte-t797x5"&&(ye.innerHTML=fl),Ta=m(e),ba=d(e,"HR",{}),va=m(e),Me=d(e,"A",{id:!0,class:!0}),n(Me).forEach(a),Ca=m(e),u(Ee.$$.fragment,e),xa=m(e),Ae=d(e,"P",{"data-svelte-h":!0}),s(Ae)!=="svelte-15u13r6"&&(Ae.textContent=hl),Ha=m(e),Ue=d(e,"P",{"data-svelte-h":!0}),s(Ue)!=="svelte-1cwm6ga"&&(Ue.innerHTML=wl),La=m(e),Pa=d(e,"HR",{}),ya=m(e),ze=d(e,"P",{}),n(ze).forEach(a),this.h()},h(){r(R,"name","hf:doc:metadata"),r(R,"content",Ll),r(I,"id","module_utils/image"),r(I,"class","group"),r(v,"id","module_utils/image.RawImage"),r(v,"class","group"),r(L,"id","new_module_utils/image.RawImage_new"),r(L,"class","group"),r(E,"id","module_utils/image.RawImage+grayscale"),r(E,"class","group"),r(z,"id","module_utils/image.RawImage+rgb"),r(z,"class","group"),r(K,"id","module_utils/image.RawImage+rgba"),r(K,"class","group"),r(G,"id","module_utils/image.RawImage+resize"),r(G,"class","group"),r(O,"id","module_utils/image.RawImage+clone"),r(O,"class","group"),r(X,"id","module_utils/image.RawImage+convert"),r(X,"class","group"),r(ie,"id","module_utils/image.RawImage+save"),r(ie,"class","group"),r(re,"id","module_utils/image.RawImage.read"),r(re,"class","group"),r(he,"id","module_utils/image.RawImage.fromURL"),r(he,"class","group"),r(_e,"id","module_utils/image.RawImage.fromBlob"),r(_e,"class","group"),r(xe,"id","module_utils/image.RawImage.fromTensor"),r(xe,"class","group"),r(Me,"id","module_utils/image..CONTENT_TYPE_MAP"),r(Me,"class","group")},m(e,t){vl(document.head,R),l(e,Be,t),l(e,je,t),l(e,ke,t),l(e,I,t),l(e,Ye,t),c($,e,t),l(e,Ke,t),l(e,_,t),l(e,Je,t),l(e,T,t),l(e,qe,t),l(e,b,t),l(e,Ne,t),l(e,Ge,t),l(e,Se,t),l(e,v,t),l(e,Ze,t),c(C,e,t),l(e,De,t),l(e,x,t),l(e,We,t),l(e,H,t),l(e,Oe,t),l(e,Ve,t),l(e,Fe,t),l(e,L,t),l(e,Qe,t),c(P,e,t),l(e,Xe,t),l(e,y,t),l(e,et,t),l(e,M,t),l(e,tt,t),l(e,at,t),l(e,lt,t),l(e,E,t),l(e,it,t),c(A,e,t),l(e,mt,t),l(e,U,t),l(e,ot,t),l(e,j,t),l(e,dt,t),l(e,st,t),l(e,rt,t),l(e,z,t),l(e,nt,t),c(B,e,t),l(e,gt,t),l(e,k,t),l(e,ut,t),l(e,Y,t),l(e,ct,t),l(e,pt,t),l(e,ft,t),l(e,K,t),l(e,ht,t),c(J,e,t),l(e,wt,t),l(e,q,t),l(e,Rt,t),l(e,N,t),l(e,It,t),l(e,$t,t),l(e,_t,t),l(e,G,t),l(e,Tt,t),c(S,e,t),l(e,bt,t),l(e,Z,t),l(e,vt,t),l(e,D,t),l(e,Ct,t),l(e,W,t),l(e,xt,t),l(e,Ht,t),l(e,Lt,t),l(e,O,t),l(e,Pt,t),c(V,e,t),l(e,yt,t),l(e,F,t),l(e,Mt,t),l(e,Q,t),l(e,Et,t),l(e,At,t),l(e,Ut,t),l(e,X,t),l(e,jt,t),c(ee,e,t),l(e,zt,t),l(e,te,t),l(e,Bt,t),l(e,ae,t),l(e,kt,t),l(e,le,t),l(e,Yt,t),l(e,Kt,t),l(e,Jt,t),l(e,ie,t),l(e,qt,t),c(me,e,t),l(e,Nt,t),l(e,oe,t),l(e,Gt,t),l(e,de,t),l(e,St,t),l(e,se,t),l(e,Zt,t),l(e,Dt,t),l(e,Wt,t),l(e,re,t),l(e,Ot,t),c(ne,e,t),l(e,Vt,t),l(e,ge,t),l(e,Ft,t),l(e,ue,t),l(e,Qt,t),l(e,ce,t),l(e,Xt,t),c(pe,e,t),l(e,ea,t),l(e,fe,t),l(e,ta,t),l(e,aa,t),l(e,la,t),l(e,he,t),l(e,ia,t),c(we,e,t),l(e,ma,t),l(e,Re,t),l(e,oa,t),l(e,Ie,t),l(e,da,t),l(e,$e,t),l(e,sa,t),l(e,ra,t),l(e,na,t),l(e,_e,t),l(e,ga,t),c(Te,e,t),l(e,ua,t),l(e,be,t),l(e,ca,t),l(e,ve,t),l(e,pa,t),l(e,Ce,t),l(e,fa,t),l(e,ha,t),l(e,wa,t),l(e,xe,t),l(e,Ra,t),c(He,e,t),l(e,Ia,t),l(e,Le,t),l(e,$a,t),l(e,Pe,t),l(e,_a,t),l(e,ye,t),l(e,Ta,t),l(e,ba,t),l(e,va,t),l(e,Me,t),l(e,Ca,t),c(Ee,e,t),l(e,xa,t),l(e,Ae,t),l(e,Ha,t),l(e,Ue,t),l(e,La,t),l(e,Pa,t),l(e,ya,t),l(e,ze,t),Ma=!0},p:Il,i(e){Ma||(p($.$$.fragment,e),p(C.$$.fragment,e),p(P.$$.fragment,e),p(A.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(S.$$.fragment,e),p(V.$$.fragment,e),p(ee.$$.fragment,e),p(me.$$.fragment,e),p(ne.$$.fragment,e),p(pe.$$.fragment,e),p(we.$$.fragment,e),p(Te.$$.fragment,e),p(He.$$.fragment,e),p(Ee.$$.fragment,e),Ma=!0)},o(e){f($.$$.fragment,e),f(C.$$.fragment,e),f(P.$$.fragment,e),f(A.$$.fragment,e),f(B.$$.fragment,e),f(J.$$.fragment,e),f(S.$$.fragment,e),f(V.$$.fragment,e),f(ee.$$.fragment,e),f(me.$$.fragment,e),f(ne.$$.fragment,e),f(pe.$$.fragment,e),f(we.$$.fragment,e),f(Te.$$.fragment,e),f(He.$$.fragment,e),f(Ee.$$.fragment,e),Ma=!1},d(e){e&&(a(Be),a(je),a(ke),a(I),a(Ye),a(Ke),a(_),a(Je),a(T),a(qe),a(b),a(Ne),a(Ge),a(Se),a(v),a(Ze),a(De),a(x),a(We),a(H),a(Oe),a(Ve),a(Fe),a(L),a(Qe),a(Xe),a(y),a(et),a(M),a(tt),a(at),a(lt),a(E),a(it),a(mt),a(U),a(ot),a(j),a(dt),a(st),a(rt),a(z),a(nt),a(gt),a(k),a(ut),a(Y),a(ct),a(pt),a(ft),a(K),a(ht),a(wt),a(q),a(Rt),a(N),a(It),a($t),a(_t),a(G),a(Tt),a(bt),a(Z),a(vt),a(D),a(Ct),a(W),a(xt),a(Ht),a(Lt),a(O),a(Pt),a(yt),a(F),a(Mt),a(Q),a(Et),a(At),a(Ut),a(X),a(jt),a(zt),a(te),a(Bt),a(ae),a(kt),a(le),a(Yt),a(Kt),a(Jt),a(ie),a(qt),a(Nt),a(oe),a(Gt),a(de),a(St),a(se),a(Zt),a(Dt),a(Wt),a(re),a(Ot),a(Vt),a(ge),a(Ft),a(ue),a(Qt),a(ce),a(Xt),a(ea),a(fe),a(ta),a(aa),a(la),a(he),a(ia),a(ma),a(Re),a(oa),a(Ie),a(da),a($e),a(sa),a(ra),a(na),a(_e),a(ga),a(ua),a(be),a(ca),a(ve),a(pa),a(Ce),a(fa),a(ha),a(wa),a(xe),a(Ra),a(Ia),a(Le),a($a),a(Pe),a(_a),a(ye),a(Ta),a(ba),a(va),a(Me),a(Ca),a(xa),a(Ae),a(Ha),a(Ue),a(La),a(Pa),a(ya),a(ze)),a(R),h($,e),h(C,e),h(P,e),h(A,e),h(B,e),h(J,e),h(S,e),h(V,e),h(ee,e),h(me,e),h(ne,e),h(pe,e),h(we,e),h(Te,e),h(He,e),h(Ee,e)}}}const Ll='{"title":"utils/image","local":"utilsimage","sections":[{"title":"utils/image.RawImage","local":"utilsimagerawimage","sections":[{"title":"new RawImage(data, width, height, channels)","local":"new-rawimagedata-width-height-channels","sections":[],"depth":3},{"title":"rawImage.grayscale() ⇒ <code> RawImage </code>","local":"rawimagegrayscale--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.rgb() ⇒ <code> RawImage </code>","local":"rawimagergb--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.rgba() ⇒ <code> RawImage </code>","local":"rawimagergba--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.resize(width, height, options) ⇒ <code> Promise. < RawImage > </code>","local":"rawimageresizewidth-height-options--code-promise--rawimage--code","sections":[],"depth":3},{"title":"rawImage.clone() ⇒ <code> RawImage </code>","local":"rawimageclone--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.convert(numChannels) ⇒ <code> RawImage </code>","local":"rawimageconvertnumchannels--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.save(path)","local":"rawimagesavepath","sections":[],"depth":3},{"title":"RawImage.read(input) ⇒ <code> * </code>","local":"rawimagereadinput--code--code","sections":[],"depth":3},{"title":"RawImage.fromURL(url) ⇒ <code> Promise. < RawImage > </code>","local":"rawimagefromurlurl--code-promise--rawimage--code","sections":[],"depth":3},{"title":"RawImage.fromBlob(blob) ⇒ <code> Promise. < RawImage > </code>","local":"rawimagefromblobblob--code-promise--rawimage--code","sections":[],"depth":3},{"title":"RawImage.fromTensor(tensor)","local":"rawimagefromtensortensor","sections":[],"depth":3}],"depth":2},{"title":"utils/image~CONTENT_TYPE_MAP","local":"utilsimagecontenttypemap","sections":[],"depth":2}],"depth":1}';function Pl(Ea){return $l(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Cl}),[]}class Ul extends _l{constructor(R){super(),Tl(this,R,Pl,Hl,Rl,{})}}export{Ul as component};
